Skip to main content
GET
Get report run

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string<uuid>
required

A UUID string identifying this job.

Response

Read serializer for report-run detail.

id
string<uuid>
required
read-only
site_slug
string | null
required
read-only
created_by
string | null
required
read-only
created_at
string<date-time>
required
read-only
test_selection_scope
enum<string>
required
Available options:
all,
custom
filters
object
required

Request/response serializer for report-run filters.

sections
enum<string>[]
required
read-only

Report sections included in this report run.

Available options:
inventory,
enrollment,
health,
burn_in
cohort_hostlist
string
required
read-only

Compressed hostlist derived from the devices associated with this report run.

cohort_size
integer
required
read-only

Number of devices associated with this report run after validation.

download_status
enum<string>
required

Availability status for the canonical report-run download target.

Available options:
pending,
available,
unavailable
generate_logs
boolean
required
read-only
report_status
enum<string>
required

Availability status for the main report artifact.

Available options:
pending,
available,
unavailable
logs_status
enum<string>
required

Availability status for logs index artifact generation.

Available options:
pending,
available,
unavailable
name
string
Maximum string length: 50
Pattern: ^[-a-zA-Z0-9_]+$
status
enum<string>
  • pending - Pending
  • running - Running
  • cancellation_requested - Cancellation Requested
  • completed - Completed
  • failed - Failed
  • partially_failed - Partially Failed
  • cancelled - Cancelled
  • terminated - Terminated
  • superseded - Superseded
  • timed_out - Timed Out
Available options:
pending,
running,
cancellation_requested,
completed,
failed,
partially_failed,
cancelled,
terminated,
superseded,
timed_out
started_at
string<date-time> | null
completed_at
string<date-time> | null